libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::ipa::CameraSensorHelper::AnalogueGainExp Struct Reference

Analogue gain constants for the exponential gain model. More...

## Public Attributes
double | a
| Constant used in the exponential gain coding/decoding.
double | m
| Constant used in the exponential gain coding/decoding.

## Detailed Description

Analogue gain constants for the exponential gain model.

The relationship between the integer gain parameter and the resulting gain multiplier is given by the following equation:

Where 'x' is the gain control parameter, and 'a' and 'm' are image sensor-specific constants.

This is a subset of the MIPI CCS exponential gain model with the linear factor 'a' being a constant, but with the exponent being configurable through the 'm' coefficient.

When the gain is expressed in dB, 'a' is equal to 1 and 'm' to .

The documentation for this struct was generated from the following files:

- src/ipa/libipa/camera_sensor_helper.h
- src/ipa/libipa/camera_sensor_helper.cpp